Lavalite package that provides refund management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `cart/refund`.

    "cart/refund": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Cart\Refund\Providers\RefundServiceProvider::class,

And also add it to alias

    'Refund'  => Cart\Refund\Facades\Refund::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Cart\\RefundTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Cart\Refund\Providers\RefundServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Cart\Refund\Providers\RefundServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Cart\Refund\Providers\RefundServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/refund/{modulename}

**User**

    http://path-to-route-folder/user/refund/{modulename}

**Public**

    http://path-to-route-folder/refunds


### API endpoints

**List**

    http://path-to-route-folder/api/user/refund/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/refund/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/refund/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/refund/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/refund/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/refund/{modulename}/{slug}
    METHOD: GET