<?php

namespace Cart\Refund;

use User;

class Refund
{
    /**
     * $refund object.
     */
    protected $refund;

    /**
     * Constructor.
     */
    public function __construct(\Cart\Refund\Interfaces\RefundRepositoryInterface $refund)
    {
        $this->refund = $refund;
    }

    /**
     * Returns count of refund.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.refund.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->refund->pushCriteria(new \Litepie\Cart\Repositories\Criteria\RefundUserCriteria());
        }

        $refund = $this->refund->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('refund::' . $view, compact('refund'))->render();
    }
}
