<?php

namespace Cart\Refund\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RefundTransformer extends TransformerAbstract
{
    public function transform(\Cart\Refund\Models\Refund $refund)
    {
        return [
            'id'                => $refund->getRouteKey(),
            'key'               => [
                'public'    => $refund->getPublicKey(),
                'route'     => $refund->getRouteKey(),
            ], 
            'order_number'      => $refund->order_number,
            'order_amount'      => $refund->order_amount,
            'last_digits'       => $refund->last_digits,
            'reason'            => $refund->reason,
            'email'             => $refund->email,
            'deleted_at'        => $refund->deleted_at,
            'user_id'           => $refund->user_id,
            'user_type'         => $refund->user_type,
            'PRIMARY'           => $refund->PRIMARY,
            'url'               => [
                'public'    => trans_url('refund/'.$refund->getPublicKey()),
                'user'      => guard_url('refund/refund/'.$refund->getRouteKey()),
            ], 
            'status'            => trans('app.'.$refund->status),
            'created_at'        => format_date($refund->created_at),
            'updated_at'        => format_date($refund->updated_at),
        ];
    }
}