<?php

namespace Cart\Refund\Workflow;

use Cart\Refund\Models\Refund;
use Cart\Refund\Notifications\RefundWorkflow as RefundNotifyer;
use Notification;

class RefundNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Refund $refund
     *
     * @return void
     */
    public function complete(Refund $refund)
    {
        return Notification::send($refund->user, new RefundNotifyer($refund, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Refund $refund
     *
     * @return void
     */
    public function verify(Refund $refund)
    {
        return Notification::send($refund->user, new RefundNotifyer($refund, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Refund $refund
     *
     * @return void
     */
    public function approve(Refund $refund)
    {
        return Notification::send($refund->user, new RefundNotifyer($refund, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Refund $refund
     *
     * @return void
     */
    public function publish(Refund $refund)
    {
        return Notification::send($refund->user, new RefundNotifyer($refund, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Refund $refund
     *
     * @return void
     */
    public function archive(Refund $refund)
    {
        return Notification::send($refund->user, new RefundNotifyer($refund, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Refund $refund
     *
     * @return void
     */
    public function unpublish(Refund $refund)
    {
        return Notification::send($refund->user, new RefundNotifyer($refund, 'unpublish'));;

    }
}
